import type { _NSObject } from "../Foundation/NSObject.js";
export declare class _PHASENumericPair extends _NSObject {
    static alloc(): _PHASENumericPair;
    static new(): _PHASENumericPair;
    init(): _PHASENumericPair;
    /**
     * @method initWithFirstValue:secondValue @abstract Initialize a numeric pair with a first and second value. @param first The first value in the pair. @param second The second value in the pair. @return A new pair.
     */
    initWithFirstValue$secondValue$(first: number, second: number): _PHASENumericPair;
    /**
     * @property first @abstract The first value in the numeric pair. @discussion The default value is 0.0.
     */
    first(): number;
    setFirst$(value: number): void;
    /**
     * @property second @abstract The second value in the numeric pair. @discussion The default value is 0.0.
     */
    second(): number;
    setSecond$(value: number): void;
}
